Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2150598 - F35FailsToInstall: ghc-hadolint, ghc-hadolint-devel, ghc-hadolint-prof
Summary: F35FailsToInstall: ghc-hadolint, ghc-hadolint-devel, ghc-hadolint-prof
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hadolint
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2152519 (view as bug list)
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-12-04 10:17 UTC by Miro Hrončok
Modified: 2023-04-10 02:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-13 18:15:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-12-04 10:17:45 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (hadolint) Fails To Install in Fedora 35:

can't install ghc-hadolint:
  - nothing provides libHScolourista-0.1.0.1-DdZKVq8nXQqFOZ8uA4H5Cp-ghc8.10.5.so()(64bit) needed by ghc-hadolint-2.8.0-7.fc35.x86_64
  
can't install ghc-hadolint-devel:
  - nothing provides ghc-devel(colourista-0.1.0.1-DdZKVq8nXQqFOZ8uA4H5Cp) needed by ghc-hadolint-devel-2.8.0-7.fc35.x86_64
  
can't install ghc-hadolint-prof:
  - nothing provides ghc-prof(colourista-0.1.0.1-DdZKVq8nXQqFOZ8uA4H5Cp) needed by ghc-hadolint-prof-2.8.0-7.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-35-x86_64 --config-opts mirrored=False install ghc-hadolint ghc-hadolint-devel ghc-hadolint-prof


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2022-12-11 11:15:30 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Jens Petersen 2022-12-12 07:27:44 UTC
I can't reproduce this, eg in a fresh f35 container:

[root@3ba6fad7073c /]# rpm -q --provides ghc-colourista
ghc-colourista = 0.1.0.1-2.fc35
ghc-colourista(x86-64) = 0.1.0.1-2.fc35
libHScolourista-0.1.0.1-DdZKVq8nXQqFOZ8uA4H5Cp-ghc8.10.5.so()(64bit)
[root@3ba6fad7073c /]# rpm -q ghc-hadolint ghc-colourista
ghc-hadolint-2.8.0-7.fc35.x86_64
ghc-colourista-0.1.0.1-2.fc35.x86_64

Comment 3 Jens Petersen 2022-12-12 07:32:10 UTC
(Also would Bodhi not warn about this?
https://bodhi.fedoraproject.org/updates/FEDORA-2022-9089fd2ffd
)

Comment 4 Jens Petersen 2022-12-12 08:17:46 UTC
Anyway since F35 is going EOL tomorrow, we can't fix this one anymore.

Comment 5 Miro Hrončok 2022-12-12 08:30:05 UTC
Switching to MODIFIED as the automation cannot really handle WONTFIX. It will be fixed after the actual EOL.

Comment 6 Miro Hrončok 2022-12-12 08:30:15 UTC
*** Bug 2152519 has been marked as a duplicate of this bug. ***

Comment 7 Ben Cotton 2022-12-13 18:15:19 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.